# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Defined types

* [`file_url`](#file_url): File URL

## Defined types

### <a name="file_url"></a>`file_url`

Defines a .URL shortcut

#### Parameters

The following parameters are available in the `file_url` defined type:

* [`ensure`](#ensure)
* [`file_name`](#file_name)
* [`hot_key`](#hot_key)
* [`icon_file`](#icon_file)
* [`icon_index`](#icon_index)
* [`log_output`](#log_output)
* [`parent_folder`](#parent_folder)
* [`url`](#url)

##### <a name="ensure"></a>`ensure`

Data type: `Optional[Enum['present', 'absent']]`

Desired state of the shortcut
Example: 'absent'

Default value: `'present'`

##### <a name="file_name"></a>`file_name`

Data type: `String`

Assigned text, including the file extension, that should be used as the name of the file
Example: 'ThanksForAllTheFish.url'

##### <a name="hot_key"></a>`hot_key`

Data type: `Optional[Integer]`

Denotes the key combination to assign to the shortcut
Key combo execution may not work when files are in areas that current user does not have direct rights to
Example: 1607

Default value: `0`

##### <a name="icon_file"></a>`icon_file`

Data type: `Optional[String]`

Full path to the file containing the icon to use for the shortcut
Example: 'C:\\Windows\\HelpPane.exe'

Default value: `'absent'`

##### <a name="icon_index"></a>`icon_index`

Data type: `Optional[Integer]`

Denotes which entry within the icon_file file should be used
Example: 0

Default value: `-`

##### <a name="log_output"></a>`log_output`

Data type: `Optional[Boolean]`

Determines additional logging output (typically only used for troubleshooting) during a Puppet agent run
Example: True

Default value: ``false``

##### <a name="parent_folder"></a>`parent_folder`

Data type: `String`

Fully qualified path to the parent folder that will house the shortcut
Example: 'C:\\Users\\Public\\Desktop'

##### <a name="url"></a>`url`

Data type: `String`

URL to navigate to when the shortcut is executed
Example: 'https://forge.puppet.com'

